| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Private Attributes | List of all members
IG.Gr.GraphicPrimitiveBase Class Reference

Base class for graphic primitives. More...

Inheritance diagram for IG.Gr.GraphicPrimitiveBase:
[legend]
Collaboration diagram for IG.Gr.GraphicPrimitiveBase:
[legend]

## Public Member Functions
virtual vec3 | GetCoordinate (int which)
| Returns the specified co-ordinates of the graphic primitive. More...
virtual void | SetCoordinate (int which, vec3 coord)
| Sets the specified co-ordinates of the graphic primitive. More...
virtual void | UpdateBoundingBox (BoundingBox bounds)
virtual void | UpdateBoundingBoxTransformed ()
virtual Color | GetLineColor (int which)
| Returns the specified line color of the graphic primitive. More...
virtual void | SetLineColor (int which, Color color)
| Sets the specified line color of the graphic primitive. More...
virtual color | GetLineColor ()
| Returns average line color of the graphic primitive. More...
virtual void | SetLineColor (Color color)
| Sets all line colors of the graphic primitive to the specified value. More...
virtual Color | GetFillColor (int which)
| Returns the specified fill color of the graphic primitive. More...
virtual void | SetFillColor (int which, Color color)
| Sets the specified fill color of the graphic primitive. More...
virtual Color | GetFillColor ()
| Returns average fill color of the graphic primitive. More...
virtual void | SetFillColor (Color color)
| Sets all fill colors of the graphic primitive to the specified value. More...

## Protected Attributes
vec3[] | _coord
color[] | _lineColors
color[] | _fillColors
GraphicPrimitiveType | _type

## Properties
virtual IGraphicSet | Parent`[get, set]`
abstract GraphicPrimitiveType | Type`[get]`
| Returns flags enumeration indicating the type of the graphic primitive. More...
virtual int | NumCoordinates`[get]`
| Gets number of co-ordinates of the graphic primitive. More...

## Private Attributes
IGraphicSet | _parent = null

## Detailed Description

Base class for graphic primitives.

$A Igor Mar10 Nov10;

## Member Function Documentation

virtual vec3 IG.Gr.GraphicPrimitiveBase.GetCoordinate | ( | int | which | ) |
| inline virtual

Returns the specified co-ordinates of the graphic primitive.

Parameters

  which | Index of primitive's node whose co-ordinates are returned.

virtual void IG.Gr.GraphicPrimitiveBase.SetCoordinate | ( | int | which,
|  | vec3 | coord
| ) |  |
| inline virtual

Sets the specified co-ordinates of the graphic primitive.

Parameters

  which | Index of the primitive's node whose co-ordinates are set.
  coord |

virtual void IG.Gr.GraphicPrimitiveBase.UpdateBoundingBox | ( | BoundingBox | bounds | ) |
| inline virtual

virtual void IG.Gr.GraphicPrimitiveBase.UpdateBoundingBoxTransformed | ( |  | ) |
| inline virtual

virtual Color IG.Gr.GraphicPrimitiveBase.GetLineColor | ( | int | which | ) |
| inline virtual

Returns the specified line color of the graphic primitive.

Parameters

  which | Index of primitive's line whose color is set.

virtual void IG.Gr.GraphicPrimitiveBase.SetLineColor | ( | int | which,
|  | Color | color
| ) |  |
| inline virtual

Sets the specified line color of the graphic primitive.

Parameters

  which | Index of primitive's line whose color is set.

virtual color IG.Gr.GraphicPrimitiveBase.GetLineColor | ( |  | ) |
| inline virtual

Returns average line color of the graphic primitive.

References IG.Lib.color.B, IG.Lib.color.G, IG.Lib.color.Opacity, and IG.Lib.color.R.

virtual void IG.Gr.GraphicPrimitiveBase.SetLineColor | ( | Color | color | ) |
| inline virtual

Sets all line colors of the graphic primitive to the specified value.

virtual Color IG.Gr.GraphicPrimitiveBase.GetFillColor | ( | int | which | ) |
| inline virtual

Returns the specified fill color of the graphic primitive.

Parameters

  which | Index of primitive's fill whose color is set.

virtual void IG.Gr.GraphicPrimitiveBase.SetFillColor | ( | int | which,
|  | Color | color
| ) |  |
| inline virtual

Sets the specified fill color of the graphic primitive.

Parameters

  which | Index of primitive's fill whose color is set.

virtual Color IG.Gr.GraphicPrimitiveBase.GetFillColor | ( |  | ) |
| inline virtual

Returns average fill color of the graphic primitive.

References IG.Lib.color.B, IG.Lib.color.G, IG.Lib.color.Opacity, and IG.Lib.color.R.

virtual void IG.Gr.GraphicPrimitiveBase.SetFillColor | ( | Color | color | ) |
| inline virtual

Sets all fill colors of the graphic primitive to the specified value.

## Member Data Documentation

IGraphicSet IG.Gr.GraphicPrimitiveBase._parent = null
| private

vec3 [] IG.Gr.GraphicPrimitiveBase._coord
| protected

color [] IG.Gr.GraphicPrimitiveBase._lineColors
| protected

color [] IG.Gr.GraphicPrimitiveBase._fillColors
| protected

GraphicPrimitiveType IG.Gr.GraphicPrimitiveBase._type
| protected

## Property Documentation

virtual IGraphicSet IG.Gr.GraphicPrimitiveBase.Parent
| get set

abstract GraphicPrimitiveType IG.Gr.GraphicPrimitiveBase.Type
| get

Returns flags enumeration indicating the type of the graphic primitive.

virtual int IG.Gr.GraphicPrimitiveBase.NumCoordinates
| get

Gets number of co-ordinates of the graphic primitive.

The documentation for this class was generated from the following file:

- igbase/graphics/grobjects/GraphicalObjectsBase.cs